package com.qizhen.healsphere.web.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Map;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/3/16 10:11
 */
@Getter
@Setter
public class GNodeDTO {
    private String type;
    private Integer category;
    private String label;
    private Long name;
    private String symbol;
    private Integer symbolSize;
    private Map<String, Object> properties;
    private Map<String, Object> itemStyle;
    private Long nodeId;

    public GNodeDTO(String type, Integer category, String label, Long name, String symbol, Integer symbolSize, Map<String, Object> properties,Long id,Map<String, Object> itemStyle) {
        this.type = type;
        this.category = category;
        this.label = label;
        this.name = name;
        this.symbol = symbol;
        this.symbolSize = symbolSize;
        this.properties = properties;
        this.nodeId = id;
        this.itemStyle = itemStyle;
    }
}
