package com.qizhen.healsphere.web.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("分页参数")
public class KgCountListPageQuery {
    @NotNull(message = "分页信息不能为空")
    @ApiModelProperty(value = "当前页码", required = true)
    private Integer pageNo;
    @NotNull(message = "分页信息不能为空")
    @ApiModelProperty(value = "每页条数", required = true)
    private Integer pageSize;
}
