package com.qizhen.healsphere;

import cn.hutool.json.JSONUtil;
import com.qizhen.healsphere.facade.KgFacade;
import com.qizhen.healsphere.service.impl.KgServiceImpl;
import com.qizhen.healsphere.web.dto.GraphLabelDTO;
import com.qizhen.healsphere.web.param.KgQuery;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@ComponentScan(basePackages = {"com.qizhen.healsphere.model","com.qizhen.healsphere.repository"})
@SpringBootTest
public class KgGraphTests {
    @Autowired
    KgServiceImpl kgServiceImpl;

    @Autowired
    KgFacade kgFacade;


    @Test
    public void contextLoads() {}

    @Test
    public void testCrudNodeDemo() {

        KgQuery kq = new KgQuery();
        kq.setLabelName("疾病");
        kq.setInputStr("test3");
//        List<Map<String,Object>> graph = kgServiceImpl.getGraphNew(kq);
//        System.out.println(JSONUtil.toJsonStr(graph));
//        List<GraphDTO> graph = kgServiceImpl.getGraph(kq);
//        System.out.println(JSONUtil.toJsonStr(graph));
        GraphLabelDTO graphFac = kgFacade.getGraphFac(kq);
        System.out.println(JSONUtil.toJsonStr(graphFac));
//        List<NodeDTO> node = kgFacade.getNode(kq);
//        System.out.println(JSONUtil.toJsonStr(node));
//        String uri = "bolt://173.18.12.194:7687";
//        String user = "neo4j";
//        String password = "12345678";
//
//        String labelName = "疾病";
//        String inputStr = "急性胰腺炎";
//        try (Driver driver = GraphDatabase.driver(uri, AuthTokens.basic(user, password))) {
//            try (Session session = driver.session()) {
//
//                String cypherQuery = "MATCH (n:" + labelName + ")-[r]->(m)\n" +
//                        "            where n.name = $inputStr\n" +
//                        "            OPTIONAL MATCH p=(m)-[]->(o) where head(Labels(m)) in [\"疾病\",\"症状\",\"药品通用名\",\"手术和操作\",\"实验室检查\",\"辅助检查\"]\n" +
//                        "            RETURN head(Labels(n)) as sLabel,n.name as sName,Type (r) as rType, head(Labels(m)) as eLabel,m.name as eName, count(p) as pCount\n" +
//                        "            ORDER BY rType";
//
//                Result result = session.run(cypherQuery, Values.parameters("inputStr", inputStr));
//                result.list().forEach(System.out::println);
//            }
//        }


    }

}

